Bug 127011 - java compiler segmentation fault
Summary: java compiler segmentation fault
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gcc (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-30 17:16 UTC by Bernard Puc
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-24 14:45:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bernard Puc 2004-06-30 17:16:13 UTC
Description of problem:java compiler segmentation fault


Version-Release number of selected component (if applicable):
j2sdk 1.4.2_04


How reproducible:Everytime


Steps to Reproduce:
1.Compile java source code
2.java compiler seg faults every time
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Bernard Puc 2004-06-30 17:17:31 UTC
[adminrig@rigsw software]$ ant
Buildfile: build.xml

init:

all:
    [javac] Compiling 467 source files to
/home/adminrig/software/build/java
    [javac]
/home/adminrig/software/applicationsSource/analysisUI/analysisConfiguration/TemplateMakerComponent.java:110:
error: Type `JTextArea' not found in declaration of field
`templateSeqValue'.
    [javac]     private  JTextArea templateSeqValue = null;
    [javac]                     ^
    [javac]
/home/adminrig/software/applicationsSource/analysisUI/analysisConfiguration/SamplePreparationWizard.java:29:
error: Class or interface `javax.swing.JTextArea' not found in import.
    [javac]    import javax.swing.JTextArea;
    [javac]           ^
    [javac]
/home/adminrig/software/applicationsSource/analysisUI/analysisConfiguration/SamplePreparationWizard.java:0:
internal compiler error: Segmentation fault
    [javac] Please submit a full bug report,
    [javac] with preprocessed source if appropriate.
    [javac] See <URL:http://bugzilla.redhat.com/bugzilla/> for
instructions.

BUILD FAILED
file:/home/adminrig/software/build.xml:32: Compile failed; see the
compiler error output for details.

Total time: 3 seconds


Comment 2 Jakub Jelinek 2004-10-30 09:43:46 UTC
Please provide testcase, otherwise there is nothing we can do about it.

Comment 3 Jakub Jelinek 2004-11-24 14:45:22 UTC
If you have a self-contained testcase, please reopen.


Note You need to log in before you can comment on or make changes to this bug.